org.apache.poi.hssf.record.aggregates

## Class MergedCellsTable

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.aggregates.RecordAggregate
    - - org.apache.poi.hssf.record.aggregates.MergedCellsTable

-     public final class MergedCellsTable
      extends RecordAggregate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate

      `RecordAggregate.PositionTrackingVisitor, RecordAggregate.RecordVisitor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergedCellsTable()` Creates an empty aggregate

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArea(int rowFrom, int colFrom, int rowTo, int colTo)`
    `void` | `addRecords(MergeCellsRecord[] mcrs)`
    `CellRangeAddress` | `get(int index)`
    `int` | `getNumberOfMergedRegions()`
    `int` | `getRecordSize()` gives the current serialized size of the record.
    `void` | `read(RecordStream rs)` reads zero or more consecutive `MergeCellsRecord`s
    `void` | `remove(int index)`
    `void` | `visitContainedRecords(RecordAggregate.RecordVisitor rv)` Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file.

    - ### Methods inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate

      `serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergedCellsTable

          public MergedCellsTable()

      Creates an empty aggregate

  - ### Method Detail

    - #### read

          public void read(RecordStream rs)

      reads zero or more consecutive `MergeCellsRecord`s
      Parameters:
        `rs` -

    - #### getRecordSize

          public int getRecordSize()

      Description copied from class: `RecordBase`
      gives the current serialized size of the record. Should include the sid and reclength (4 bytes).
      Overrides:
        `getRecordSize` in class `RecordAggregate`
      Returns:
        the record size

    - #### visitContainedRecords

          public void visitContainedRecords(RecordAggregate.RecordVisitor rv)

      Description copied from class: `RecordAggregate`
      Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file. Implementors may or may not return the actual `Record`s being used to manage POI's internal implementation. Callers should not assume either way, and therefore only attempt to modify those `Record`s after cloning
      Specified by:
        `visitContainedRecords` in class `RecordAggregate`
      Parameters:
        `rv` - The visitor to use for callbacks while walking this object

    - #### addRecords

          public void addRecords(MergeCellsRecord[] mcrs)

    - #### get

          public CellRangeAddress get(int index)

    - #### remove

          public void remove(int index)

    - #### addArea

          public void addArea(int rowFrom,
                              int colFrom,
                              int rowTo,
                              int colTo)

    - #### getNumberOfMergedRegions

          public int getNumberOfMergedRegions()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.